*** {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    min-height: 100vh;

    display: flex;
    justify-content: center;
    align-items: center;

    font-family: Arial, sans-serif;

    background: #e0f2fe;
}


/* ÁREA DA CARTA */

.flashcard {
    width: 360px;
    height: 480px;

    perspective: 1200px;
}


/* CARTA QUE VAI GIRAR */

.carta {
    width: 100%;
    height: 100%;

    position: relative;

    transform-style: preserve-3d;

    transition: transform 0.8s ease;

    cursor: pointer;
}


/* QUANDO PASSAR O MOUSE */

.flashcard:hover .carta {
    transform: rotateY(180deg);
}


/* FRENTE E VERSO */

.frente,
.verso {
    width: 100%;
    height: 100%;

    position: absolute;

    display: flex;
    flex-direction: column;

    justify-content: center;
    align-items: center;

    padding: 40px;

    text-align: center;

    border-radius: 25px;

    backface-visibility: hidden;

    box-shadow: 0 20px 40px rgba(0, 0, 0, 0.2);
}


/* FRENTE */

.frente {
    color: white;

    background: linear-gradient(
        160deg,
        #16a34a,
        #15803d
    );

    border: 4px solid #86efac;
}


/* NÚMERO */

.numero {
    position: absolute;

    top: 20px;
    left: 25px;

    font-size: 14px;
    font-weight: bold;

    opacity: 0.7;
}


/* EMOJI */

.emoji {
    font-size: 70px;

    margin-bottom: 20px;
}


/* TÍTULO */

h2 {
    font-size: 30px;

    margin-bottom: 15px;
}


/* TEXTO */

p {
    font-size: 18px;

    line-height: 1.5;
}


/* TEXTO DE INSTRUÇÃO */

.frente span {
    margin-top: 30px;

    font-size: 14px;

    opacity: 0.8;
}


/* VERSO */

.verso {
    color: #422006;

    background: linear-gradient(
        160deg,
        #facc15,
        #f59e0b
    );

    border: 4px solid #fde68a;

    transform: rotateY(180deg);
}


/* RESPOSTA */

.verso strong {
    margin-top: 25px;

    padding: 10px 20px;

    color: white;

    background: #166534;

    border-radius: 20px;
}
